escript::Taipan::Taipan_StatTable Struct Reference

## Public Attributes

int | requests
int | frees
int | allocations
int | deallocations
long | allocated_elements
long | deallocated_elements
long | max_tab_size

## Member Data Documentation

## allocated_elements

long escript::Taipan::Taipan_StatTable::allocated_elements

Referenced by escript::Taipan::clear_stats(), escript::Taipan::dump_stats(), and escript::Taipan::new_array().

## allocations

int escript::Taipan::Taipan_StatTable::allocations

Referenced by escript::Taipan::clear_stats(), escript::Taipan::dump_stats(), and escript::Taipan::new_array().

## deallocated_elements

long escript::Taipan::Taipan_StatTable::deallocated_elements

Referenced by escript::Taipan::clear_stats(), escript::Taipan::delete_array(), escript::Taipan::dump_stats(), and escript::Taipan::release_unused_arrays().

## deallocations

int escript::Taipan::Taipan_StatTable::deallocations

Referenced by escript::Taipan::clear_stats(), escript::Taipan::delete_array(), escript::Taipan::dump_stats(), and escript::Taipan::release_unused_arrays().

## frees

int escript::Taipan::Taipan_StatTable::frees

Referenced by escript::Taipan::clear_stats(), escript::Taipan::delete_array(), and escript::Taipan::dump_stats().

## max_tab_size

long escript::Taipan::Taipan_StatTable::max_tab_size

Referenced by escript::Taipan::clear_stats(), escript::Taipan::dump_stats(), and escript::Taipan::new_array().

## requests

int escript::Taipan::Taipan_StatTable::requests

Referenced by escript::Taipan::clear_stats(), escript::Taipan::dump_stats(), and escript::Taipan::new_array().

The documentation for this struct was generated from the following file:

- Taipan.h